// 测试移位运算
#include <iostream>
#include <bitset>

using namespace std;

int main()
{
    char n = 0b11000011;
    cout << "n = " << bitset<8>(n) << endl;
    n = n << 2; // 建议不要使用 <<= 复合运算符,注意符号位也会移动
    cout << "n = " << bitset<8>(n) << "\t" << (int)n << endl;
    return 0;
}

